org.apache.fop.render.intermediate

## Class IFGraphicContext

- java.lang.Object
- - org.apache.xmlgraphics.java2d.GraphicContext
  - - org.apache.fop.render.intermediate.IFGraphicContext

All Implemented Interfaces:
  Cloneable

    public class IFGraphicContext
    extends org.apache.xmlgraphics.java2d.GraphicContext

Specialized graphic context class for the intermediate format renderer.

### Nested Class Summary

Nested Classes
`static class` `IFGraphicContext.Group` a group
`static class` `IFGraphicContext.Viewport` a viewport

### Field Summary

### Fields inherited from class org.apache.xmlgraphics.java2d.GraphicContext

`background, clip, composite, defaultTransform, font, foreground, hints, paint, stroke, transform, transformStack, transformStackValid`

### Constructor Summary

Constructors
`` `IFGraphicContext()` Default constructor.
`protected` `IFGraphicContext(IFGraphicContext graphicContext)` Copy constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`Object` `clone()`
`IFGraphicContext.Group[]` `dropGroups()`
`IFGraphicContext.Group[]` `getGroups()`
`int` `getGroupStackSize()`
`void` `pushGroup(IFGraphicContext.Group group)`

### Methods inherited from class org.apache.xmlgraphics.java2d.GraphicContext

`addRenderingHints, clip, clipRect, getBackground, getClip, getClipBounds, getColor, getComposite, getFont, getFontRenderContext, getPaint, getRenderingHint, getRenderingHints, getStroke, getTransform, getTransformStack, invalidateTransformStack, isTransformStackValid, rotate, rotate, scale, setBackground, setClip, setClip, setColor, setComposite, setFont, setPaint, setRenderingHint, setRenderingHints, setStroke, setTransform, shear, transform, translate, translate, validateTransformStack`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### IFGraphicContext

    public IFGraphicContext()

Default constructor.

#### IFGraphicContext

    protected IFGraphicContext(IFGraphicContext graphicContext)

Copy constructor.

Parameters:
  `graphicContext` - the graphic context to make a copy of

### Method Detail

#### clone

    public Object clone()

Overrides:
  `clone` in class `org.apache.xmlgraphics.java2d.GraphicContext`

#### pushGroup

    public void pushGroup(IFGraphicContext.Group group)

Parameters:
  `group` - a group

#### getGroups

    public IFGraphicContext.Group[] getGroups()

Returns:
  array of groups

#### dropGroups

    public IFGraphicContext.Group[] dropGroups()

Returns:
  array of groups after clearing group list

#### getGroupStackSize

    public int getGroupStackSize()

Returns:
  size of group list